---
date: 2017-11-10
title: Node.js Versions
categories:
  - language-support
description: Node versions support in Renovate
type: Document
order: 3
---

Renovate supports upgrading Node.js versions in `.travis.yml` files.

## How It Works

1. You must enable Node renovation explicitly in your `renovate.json`: `"node": { "enabled": true }`
2. Optionally, configure a `supportPolicy` (otherwise, the default is LTS): `"supportPolicy": ["lts_latest", "current"]`
3. Renovate will search repositories for a `.travis.yml` in the root directory
4. Existing Node.js versions will be extracted from the `node_js` array if it exists
5. Renovate will replace this with the correct versions array based on your configured `supportPolicy` (defaults to `"lts"`)

## Support Policies

Renovate supports the following `supportPolicy` values and associated versions (current as of December 2017):

| supportPolicy | versions | description                                               |
| ------------- | -------- | --------------------------------------------------------- |
| lts           | 4,6,8    | All releases classified as LTS, including in maintenance  |
| active        | 6,8,9    | All releases classified as active and not maintenance     |
| current       | 9        | The latest Node.js classified as "current"                |
| lts_active    | 6,8      | All releases classified as Active LTS and not maintenance |
| lts_latest    | 8        | The latest LTS release                                    |

The version numbers associated with each support policy will be updated as new versions of Node.js are released, moved to LTS or maintenance, etc.
